# Interface SimpleEdge

All Known Implementing Classes:
  `Bond, Edge, HBond, SmilesBond`

public interface SimpleEdge
minimal bond interface for SMILES and CIP

## Method Summary

Modifier and Type
Method
Description
`SimpleNode`
`getAtom(int i)`
Get the respective atom, 0 or 1
`int`
`getBondType()`
Get the order of the bond.
`int`
`getCovalentOrder()`
`SimpleNode`
`getOtherNode(SimpleNode a)`
`boolean`
`isCovalent()`

## Method Details

### getCovalentOrder

int getCovalentOrder()

Returns:
  the bond order 1-4 if it is covalent, or 0 if not.

### getBondType

int getBondType()
Get the order of the bond. This could be covalent order, but also could be NEAR, FAR, etc.

Returns:
  order

### getOtherNode

SimpleNode getOtherNode(SimpleNode a)

### getAtom

SimpleNode getAtom(int i)
Get the respective atom, 0 or 1

Parameters:
  `i` -
Returns:
  SimpleNode

### isCovalent

boolean isCovalent()